unit uFormasPagoPlazosController;

interface

uses
  Windows, Forms, Classes, Controls, Contnrs, SysUtils, uDADataTable,
  uBizFormasPago, uBizFormasPagoPlazos, uIDataModuleFormasPago,
  uControllerBase;
type
  IFormasPagoPlazosController = interface(IControllerBase)
  ['{3FCE2A31-9783-45F9-96D6-1157165AB8DB}']
  end;

  TFormasPagoPlazosController = class(TControllerBase, IFormasPagoPlazosController)
  private
    FDataModule : IDataModuleFormasPago;
  public
    constructor Create; override;
    destructor Destroy; override;
  end;

implementation

{ TFormasPagoPlazosController }

uses
  uEditorRegistryUtils, uDataModuleFormasPago,
  cxControls, schFormasPagoClient_Intf;

constructor TFormasPagoPlazosController.Create;
begin
  inherited;
  FDataModule := TDataModuleFormasPago.Create(Nil);
end;

destructor TFormasPagoPlazosController.Destroy;
begin
  FDataModule := Nil;
  inherited;
end;

end.
